import ConstructorOf from '@thats/utils/types/ConstructorOf';
import { PerspectiveCamera } from 'three';
import RenderMode from '../enums/RenderMode';
import PlayerConsole from '../playertools/PlayerConsole';
import PlayerHand from '../playertools/PlayerHand';
import { XRUpdateParams } from './XRClass';
import XRController from './XRController';
import XRObject from './XRObject';
export declare class XRPlayer extends XRObject {
    private xr;
    private controller;
    private project;
    camera: PerspectiveCamera;
    debugConsole: PlayerConsole;
    leftHand: PlayerHand;
    rightHand: PlayerHand;
    defaults(): any;
    init(): void;
    update(o?: XRUpdateParams): void;
    setController(C: ConstructorOf<XRController>): void;
    setRenderMode(v: RenderMode): void;
    setSize(width: number, height: number): void;
    walkBy(v: number): void;
    strafeBy(v: number): void;
    lookUpBy(v: number): void;
    yawBy(v: number): void;
    pitchBy(v: number): void;
    rollBy(v: number): void;
    destroy(): void;
}
export default XRPlayer;
