"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const three_1 = require("three");
const XRMass_1 = __importDefault(require("../core/XRMass"));
class Box extends XRMass_1.default {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { width: 1, height: 1, depth: 1, widthSegments: 1, heightSegments: 1, depthSegments: 1 });
    }
    initGeometry() {
        this.geometry = new three_1.BoxBufferGeometry(this.width, this.height, this.depth, this.widthSegments, this.heightSegments, this.depthSegments);
    }
    growBy(v) {
        this.width *= v;
        this.height *= v;
        this.depth *= v;
        this.initGeometry();
    }
}
exports.default = Box;
//# sourceMappingURL=Box.js.map