"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const three_1 = require("three");
const XRMass_1 = __importDefault(require("../core/XRMass"));
class Cylinder extends XRMass_1.default {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { radiusTop: 1, radiusBottom: 1, height: 1, radiusSegments: 8, heightSegments: 1, openEnded: false, thetaStart: 0, thetaLength: Math.PI * 2 });
    }
    initGeometry() {
        this.geometry = new three_1.CylinderBufferGeometry(this.radiusTop, this.radiusBottom, this.height, this.radiusSegments, this.heightSegments, this.openEnded, this.thetaStart, this.thetaLength);
    }
    growBy(v) {
        this.radiusTop *= v;
        this.radiusBottom *= v;
        this.height *= v;
        this.initGeometry();
    }
}
exports.default = Cylinder;
//# sourceMappingURL=Cylinder.js.map