"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Layer_1 = require("../enums/Layer");
const PointLight_1 = __importDefault(require("../lights/PointLight"));
const Sphere_1 = __importDefault(require("./Sphere"));
class PointLightBulb extends Sphere_1.default {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { radius: 0.2, distance: 5, decay: 1, intensity: 1 });
    }
    init() {
        super.init();
        this.light = new PointLight_1.default({
            distance: this.distance,
            decay: this.decay,
            intensity: this.intensity,
            castShadow: this.castShadow,
        });
        this.light.position.set(0, 1, 0);
        this.add(this.light);
        this.layers.enable(Layer_1.Layer.BLOOM);
    }
}
exports.default = PointLightBulb;
//# sourceMappingURL=PointLightBulb.js.map