"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const three_1 = require("three");
const XRMass_1 = __importDefault(require("../core/XRMass"));
class Sphere extends XRMass_1.default {
    defaults() {
        return Object.assign(Object.assign({}, super.defaults()), { radius: 1, widthSegments: 16, heightSegments: 12, phiStart: 0, phiLength: Math.PI * 2, thetaStart: 0, thetaLength: Math.PI });
    }
    initGeometry() {
        this.geometry = new three_1.SphereBufferGeometry(this.radius, this.widthSegments, this.heightSegments, this.phiStart, this.phiLength, this.thetaStart, this.thetaLength);
    }
    growBy(v) {
        this.radius *= v;
        this.initGeometry();
    }
}
exports.default = Sphere;
//# sourceMappingURL=Sphere.js.map