"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iterateVertices = void 0;
const three_1 = require("three");
exports.iterateVertices = (function () {
    const vertex = new three_1.Vector3();
    const matrix = new three_1.Matrix4();
    return function (vertices, matrices, cb) {
        for (let i = 0; i < vertices.length; i++) {
            matrix.fromArray(matrices[i]);
            for (let j = 0; j < vertices[i].length; j += 3) {
                vertex
                    .set(vertices[i][j], vertices[i][j + 1], vertices[i][j + 2])
                    .applyMatrix4(matrix);
                cb(vertex);
            }
        }
    };
})();
exports.default = exports.iterateVertices;
//# sourceMappingURL=iterateVertices.js.map