import XYWH from '@thats/utils/types/XYWH';
import React from 'react';
import XRParam from '../core/XRParam';
import XRProject from '../core/XRProject';
import GrabActionType from '../enums/GrabActionType';
export interface XRProjectViewerStateProps {
    children: any;
    sceneIdx: number;
}
export declare function XRProjectViewerState({ children, sceneIdx }: XRProjectViewerStateProps): React.JSX.Element;
export default XRProjectViewerState;
export declare const useXRProjectViewer: () => {
    project: XRProject;
    setParam: <T>(param: XRParam<T>, value: T) => void;
    setGodMode: (v: boolean) => void;
    setGrabAction: (v: GrabActionType) => void;
    initViewer: (el: HTMLElement, dims: XYWH) => void;
    play: () => void;
    pause: () => void;
    stop: () => void;
    startXR: () => void;
    stopXR: () => void;
};
